RASIGN2(1)

NAME
RASIGN2 - radare2 zignature utility

SYNOPSIS
rasign2 [-afhjqrv] [-s space] [-o outfile] file

DESCRIPTION
rasign2 collects signatures into a database file

-a  Analyze binary after loading it with RCore and use -AA to run aaaa instead of aaa.

-A  Treat the provided input file as an ar archive of .o files, and create signatures for all functions in the .o files.

-c  After finding all signatures, find all signature collisions.

-f  Interpret the input file as a flirt database and dump the signatures.

-h  Show usage help message.

-j  Show output in JSON.

-o file.sdb
    Add signatures to file, create if it does not exist.

-q  Enable quiet mode.

-r  Show output in radare commands.

-s space
    Add signatures save all signatures under this signspace.

-v  Show version information.

SEE ALSO

radare2(1)

AUTHORS

Written by pancake <pancake@nopcode.org>